#!/bin/bash
echo "Создание общего архива для каталогов проектов на текущую дату."
cd ../.. # выход из папки и из репозитория
filename="pomodoro-$(date '+%Y-%m-%d').zip"
# сводная строка исключений для всех проектов из файлов ".gitignore"
exclusions="$(find . -maxdepth 2 -type f -name '.gitignore' -exec \
  sed -E "s|^(.*)$|-xr!'\1'|" {} \; | sort | uniq | tr '\n' ' ')"
rm -f "$filename"
eval "7z a -tzip '$filename' . -xr!'.git' $exclusions" | grep -E '\S'
